scala.reflect.quasiquotes.Parsers

# PatternParser

#### object PatternParser extends Quasiquotes.Parser

Source
  Parsers.scala

Linear Supertypes
Quasiquotes.Parser, tools.nsc.ast.parser.Parsers, ParsersCommon, MarkupParsers, Scanners, ScannersCommon, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PatternParser
2. Parser
3. Parsers
4. ParsersCommon
5. MarkupParsers
6. Scanners
7. ScannersCommon
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait CommonTokenData extends AnyRef

   Definition Classes
     ScannersCommon

2. #### type Location = Int

   Definition Classes
     Parsers

3. #### class MalformedInput extends Exception

   Definition Classes
     Scanners

4. #### class MarkupParser extends MarkupParserCommon

   Definition Classes
     MarkupParsers

5. #### type Offset = Int

   Offset into source character array

   Offset into source character array

   Definition Classes
     ScannersCommon

6. #### case class OpInfo(lhs: Global.Tree, operator: Global.TermName, targs: List[Global.Tree], offset: Parsers.Offset) extends Product with Serializable

   Definition Classes
     Parsers

7. #### class OutlineParser extends SourceFileParser

   Definition Classes
     Parsers

8. #### class ParensAnalyzer extends UnitScanner

   Definition Classes
     Scanners

9. #### abstract class Parser extends ParserCommon

   Definition Classes
     Parsers

10. #### abstract class ParserCommon extends AnyRef

    This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

    This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

    Definition Classes
      ParsersCommon

11. #### class QuasiquoteParser extends SourceFileParser

    Definition Classes
      Parser

12. #### abstract class Scanner extends CharArrayReader with TokenData with ScannerData with ScannerCommon

    Definition Classes
      Scanners

13. #### trait ScannerCommon extends CommonTokenData

    Definition Classes
      ScannersCommon

14. #### trait ScannerData extends TokenData with CharArrayReaderData

    An interface to most of mutable data in Scanner defined in TokenData and CharArrayReader (+ next, prev fields) with copyFrom functionality to backup/restore data (used by quasiquotes' lookingAhead).

    An interface to most of mutable data in Scanner defined in TokenData and CharArrayReader (+ next, prev fields) with copyFrom functionality to backup/restore data (used by quasiquotes' lookingAhead).

    Definition Classes
      Scanners

15. #### class SourceFileParser extends Parser

    Definition Classes
      Parsers

16. #### class SourceFileScanner extends Scanner

    A scanner for a given source file not necessarily attached to a compilation unit.

    A scanner for a given source file not necessarily attached to a compilation unit. Useful for looking inside source files that aren not currently compiled to see what's there

    Definition Classes
      Scanners

17. #### type Token = Int

    Definition Classes
      ScannersCommon

18. #### trait TokenData extends CommonTokenData

    Definition Classes
      Scanners

19. #### class UnitParser extends SourceFileParser

    Definition Classes
      Parsers

20. #### class UnitScanner extends SourceFileScanner

    A scanner over a given compilation unit

    A scanner over a given compilation unit

    Definition Classes
      Scanners

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object ConfusedAboutBracesControl extends Throwable with ControlThrowable with Product with Serializable

   Definition Classes
     MarkupParsers

5. #### final val InBlock: Location

   Definition Classes
     Parsers

6. #### final val InTemplate: Location

   Definition Classes
     Parsers

7. #### final val Local: Location

   Definition Classes
     Parsers

8. #### object MissingEndTagControl extends Throwable with ControlThrowable with Product with Serializable

   Definition Classes
     MarkupParsers

9. #### lazy val ScalaValueClassNames: collection.Seq[tools.nsc.Global.TypeName]

   Definition Classes
     Parsers

10. #### object TruncatedXMLControl extends Throwable with ControlThrowable with Product with Serializable

    Definition Classes
      MarkupParsers

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def correspondingPosition(offset: Int): tools.nsc.Global.Position

    Definition Classes
      Parser

14. #### def createKeywordArray(keywords: Seq[(tools.nsc.Global.Name, Token)], defaultToken: Token): (Token, Array[Token])

    Definition Classes
      ScannersCommon

15. #### def entryPoint: (QuasiquoteParser) ⇒ tools.nsc.Global.Tree

    Definition Classes
      PatternParser → Parser

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### val global: Quasiquotes.global.type

    Definition Classes
      Parser → Parsers → ParsersCommon → Scanners → ScannersCommon

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def literalUnit: tools.nsc.Global.Literal

    Definition Classes
      ParsersCommon

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def newLiteral(const: Any): tools.nsc.Global.Literal

    Definition Classes
      ParsersCommon

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def parse(code: String): tools.nsc.Global.Tree

    Definition Classes
      Parser

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final val token2name: Map[Int, tools.nsc.Global.Name]

    Definition Classes
      Scanners

32. #### def token2string(token: Int): String

    Returns the string representation of given token.

    Returns the string representation of given token.

    Definition Classes
      Parser → Scanners

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Quasiquotes.Parser

### Inherited from tools.nsc.ast.parser.Parsers

### Inherited from ParsersCommon

### Inherited from MarkupParsers

### Inherited from Scanners

### Inherited from ScannersCommon

### Inherited from AnyRef

### Inherited from Any

### Ungrouped